#use eziolp31.lib
#use tl_lp31.lib
#use tl.lib

#define LCD_ROWS 4
#define LCD_COLS 20

main() {
	auto int rowCount;
	auto int colCount;
	auto int dumCount;
	

	eioBrdInit(0);
	lcdInit();
	dumCount = 0;
	while (1) {
		for (rowCount = 0; rowCount < LCD_ROWS; ++rowCount) {
			for (colCount = 0; colCount < LCD_COLS; ++colCount) {
				lcdPos(rowCount, colCount);
				lcdPutc('0'+(dumCount=(dumCount+1)%10),NULL);
			}
		hitwd();
		}
	}
}